aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gdnsd/gdnsd.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-05-01 15:05:03 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-05-01 15:05:03 +0000
commit8ea34b27980bf3a0fd71818f0d269a5c53f647cb (patch)
treecc768d1d4413c885efe25d48a7cf86662ff50db6 /testing/gdnsd/gdnsd.initd
parent00c10699b820b852bde45f6c85683ebedb43503d (diff)
downloadaports-8ea34b27980bf3a0fd71818f0d269a5c53f647cb.tar.bz2
aports-8ea34b27980bf3a0fd71818f0d269a5c53f647cb.tar.xz
testing/gdnsd: add very basic init.d script
Diffstat (limited to 'testing/gdnsd/gdnsd.initd')
-rwxr-xr-xtesting/gdnsd/gdnsd.initd18
1 files changed, 18 insertions, 0 deletions
diff --git a/testing/gdnsd/gdnsd.initd b/testing/gdnsd/gdnsd.initd
new file mode 100755
index 0000000000..e11a73d1d6
--- /dev/null
+++ b/testing/gdnsd/gdnsd.initd
@@ -0,0 +1,18 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting dnsd"
+ start-stop-daemon --start --exec /usr/sbin/dnsd -- -d $DNSD_OPTS
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping dnsd"
+ start-stop-daemon --stop --exec /usr/sbin/dnsd
+ eend $?
+}